using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;
using LLNet.GUI;
using System.Text.RegularExpressions;
using LLNet.Utils;

namespace LLNet.Tienda.MainForms.Forms.Membresia
{
    public partial class FrmCobroMemb : LLNet.GUI.FormBases.frmBase
    {
        public bool procesar = false;
        string pedido;
        string accion;
        public string cedula, meses, Tarjeta;

        public FrmCobroMemb(string p_pedido, string p_accion)
        {
            InitializeComponent();
            this.pedido = p_pedido;
            this.accion = p_accion;
            if (p_accion == "RT")
            {
                txtTarjet.Visible = true;
                cbxMeses.Visible = false;
                label2.Visible = false;
                label32.Visible = true;
            }
            else
            {
                txtTarjet.Visible = false;
                cbxMeses.Visible = true;
                label2.Visible = true;
                label32.Visible = false;
            }
        }

        private void rbtnmpasaport_CheckedChanged(object sender, EventArgs e)
        {
            if (rbtnmpasaport.Checked)
            {
                txtcedula.Mask = "";
            }
            else
            {
                txtcedula.Mask = "0-0000-0000";
            }
        }

        private void btnSalir_Click(object sender, EventArgs e)
        {
            procesar = false;
            this.Close();
        }

        private void btnTarjeta_Click(object sender, EventArgs e)
        {
            if (accion != "RT")
            {
                int count = 0;
                Utils.QueryParams qp = new LLNet.Utils.QueryParams();
                qp = new QueryParams();
                qp.AddReplaceParam("p_C_CEDULA", txtcedula.Text.Trim());
                qp.AddReplaceParam("p_TIPO", accion);
                count = Convert.ToInt32(GUI.CApp.bll.GetSingleValue("PLUS_VAL_ART", qp, "PDV"));
                if (count > 0)
                {
                    /*
                    //PLUS_P_I_PED_MEMBRESIA('&&P_C_CEDULA&&',&&P_PEDIDO&&,'&&P_ACCION&&','&&P_CREADO_POR&&');
                    //qp.AddReplaceParam("P_C_CEDULA", Ced_A_CPLUS);
                    qp.AddReplaceParam("P_PEDIDO", this.pedido);
                    qp.AddReplaceParam("P_ACCION", this.accion);
                    qp.AddReplaceParam("P_CREADO_POR", GUI.CApp.usuario);                        
                    GUI.CApp.bll.ExecuteSql("PLUS_PEDIDO_CLIENTE", qp, "PDV");
                     */
                    this.cedula = txtcedula.Text.Trim();
                    this.meses = cbxMeses.Text.ToString().Trim();
                    if (meses == string.Empty)
                    {
                        meses = "6";
                    }
                    procesar = true;
                }
                else
                {
                    if (count == -2)
                    {
                        CApp.ShowMessage("El cliente no se encuentra afiliado al Club ekono Plus", "Afiliación - Club ekono Plus", true);
                    }
                    if (count == -3)
                    {
                        CApp.ShowMessage("Ya existe la membresia por lo que no se debe renovar", "Afiliación - Club ekono Plus", true);
                    }
                    if (count == -4)
                    {
                        CApp.ShowMessage("Aún no debes renovar el club", "Afiliación - Club ekono Plus", true);
                    }
                    if (count == -5)
                    {
                        CApp.ShowMessage("No se puede renovar una membresía que no ha sido activada.", "Afiliación - Club ekono Plus", true);
                    }

                    procesar = false;
                }
            }
            else
            {
                this.cedula = txtcedula.Text.Trim();
                Tarjeta = txtTarjet.Text.Trim();
                procesar = true;
            }
            this.Close();
        }

        private void btnConsPlazo_Click(object sender, EventArgs e)
        {
            object plazo = string.Empty;

            Utils.QueryParams qpPLUSCMiembro = new LLNet.Utils.QueryParams();
            if (txtcedula.Text.Length >= 7)
	        {
                qpPLUSCMiembro.AddReplaceParam("P_C_CEDULA", txtcedula.Text.Trim());         

                plazo = GUI.CApp.bll.GetSingleValue("PLUS_PLAZO_MEMBRESIA", qpPLUSCMiembro, "PDV");
                if (plazo!=null)
                {
                    cbxMeses.SelectedItem = (int.Parse(plazo.ToString()) + 1).ToString();
                    btnTarjeta.Enabled = true;

                }
	        }
            else
            {
                CApp.ShowMessage("Debe ingresar un valor.", "Afiliación - Club ekono Plus", true);
            }
            
        }
    }
}